#valgrind --tool=callgrind ./(Your binary)
SOURCE= Parametres.cpp utility.cpp Contour.cpp ElementPool.cpp MicrotubulePool.cpp Microtubule.cpp Structure.cpp Element.cpp Anchor.cpp Shape.cpp drawScene.cpp main.cpp
MYPROGRAM=../bin/programme
LINKS=-lvtkCommon -lvtkHybrid -lvtkGenericFiltering -lvtkVolumeRendering -lvtksys -lvtkFiltering -lvtkRendering -lvtkIO -lvtkGraphics -lvtkexoIIc  -lvtkImaging -lvtkftgl  -lvtkDICOMParser

#CXXFLAGS= -pg -std=c++0x /usr/include/vtk-5.10
#LDFLAGS=/usr/lib/vtk-5.10
### Mac OS X
CXXFLAGS = -pg -std=c++0x -O3 -DNDEBUG -Wall -pedantic -I/opt/local/include -I/usr/local/include/vtk-5.10 
LDFLAGS = -pg -O3 -DNDEBUG -Wall -pedantic -L/opt/local/lib/ -L/usr/local/lib/vtk-5.10

CC=g++

#------------------------------------------------------------------------------




all: $(MYPROGRAM)
$(MYPROGRAM): $(SOURCE)
	$(CC)  -c $(SOURCE) $(CXXFLAGS) 
	$(CC)  *.o $(LDFLAGS) $(LINKS) -o $(MYPROGRAM)

clean:

	rm -f *.o
	rm -f $(MYPROGRAM)


#-I$(MYINCLUDES) 
#-l$(MYLIBRARIES)
